Jump to content
AIDA64 Discussion Forum
Flashfox

Everest Ultimate --> AIDA64 1.20 --> 1.50?

Recommended Posts

I am one of those who was transferred from Everest Ultimate to AIDA64 1.20. My AIDA64 license states that it expires in Sept 2011. This being said, please advise if I can upgrade to 1.5 under the same license?

I am under the impression that my existing license is valid for all 1.x updates and that I would need to have a new license when you release 2.0

Share this post


Link to post
Share on other sites

AIDA64 licenses are not limited by version number, but only by time constraints (maintenance limit).

You can use AIDA64 v1.50 with the same AIDA64 license. You will also be able to upgrade to any AIDA64 beta or stable version that will be released before your maintenance period expires (Sept 2011).

Regards,

Fiery

Share this post


Link to post
Share on other sites

AIDA64 licenses are not limited by version number, but only by time constraints (maintenance limit).

You can use AIDA64 v1.50 with the same AIDA64 license. You will also be able to upgrade to any AIDA64 beta or stable version that will be released before your maintenance period expires (Sept 2011).

Regards,

Fiery

I have a same issue on 1.50.1200.

I got a AIDA64 free upgrade license key on Dec. 6, although it doesn't seem to activate

Share this post


Link to post
Share on other sites

AIDA64 licenses are not limited by version number, but only by time constraints (maintenance limit).

You can use AIDA64 v1.50 with the same AIDA64 license. You will also be able to upgrade to any AIDA64 beta or stable version that will be released before your maintenance period expires (Sept 2011).

Regards,

Fiery

No, this does not seem to be the case. Same circumstances, upgraded from 1.2 > 1.5 and it immediately said "the license is not valid for this version". I manualy put in the key from my e-mail. Same thing. AIDA will not even start.

UPDATE: Went to the upgrade page mentioned in the sticky. Re-entered my Everest key and was given a new AIDA64 key that does work. Possibly a glitch with FinalWire's database? Anyways. No harm, no foul. But it is lucky I still had my Everest confirmation e-mail saved.

Share this post


Link to post
Share on other sites

I have a same issue on 1.50.1200.

I got a AIDA64 free upgrade license key on Dec. 6, although it doesn't seem to activate

Please drop an email at the following email address, and our Licensing Department will check out what's wrong with your AIDA64 key. Make sure to indicate your name and AIDA64 license key, so our staff can identify you.

upgrade AT aida64.com (replace AT with @)

Share this post


Link to post
Share on other sites

No, this does not seem to be the case. Same circumstances, upgraded from 1.2 > 1.5 and it immediately said "the license is not valid for this version". I manualy put in the key from my e-mail. Same thing. AIDA will not even start.

UPDATE: Went to the upgrade page mentioned in the sticky. Re-entered my Everest key and was given a new AIDA64 key that does work. Possibly a glitch with FinalWire's database? Anyways. No harm, no foul. But it is lucky I still had my Everest confirmation e-mail saved.

I guess the mixup came from the fact that you first obtained a free upgrade in our original campaign (that ran between Oct 06 and Oct 20). In that campaign EVEREST customers were entitled to receive a free upgrade to AIDA64 v1.00. The critical information there was: v1.00. Even though the free upgrade key then was intended to be used only for AIDA64 v1.00, it was good for AIDA64 v1.20 as well. But then it stopped working with AIDA64 v1.50.

I guess your new AIDA64 upgrade license was then obtained using the current upgrade procedure, so it will be valid for the same maintenance period than your original EVEREST license. It means you can use it with AIDA64 latest version as well.

Share this post


Link to post
Share on other sites

Please drop an email at the following email address, and our Licensing Department will check out what's wrong with your AIDA64 key. Make sure to indicate your name and AIDA64 license key, so our staff can identify you.

upgrade AT aida64.com (replace AT with @)

I sent you a email.

Share this post


Link to post
Share on other sites

I guess the mixup came from the fact that you first obtained a free upgrade in our original campaign (that ran between Oct 06 and Oct 20). In that campaign EVEREST customers were entitled to receive a free upgrade to AIDA64 v1.00. The critical information there was: v1.00. Even though the free upgrade key then was intended to be used only for AIDA64 v1.00, it was good for AIDA64 v1.20 as well. But then it stopped working with AIDA64 v1.50.

I guess your new AIDA64 upgrade license was then obtained using the current upgrade procedure, so it will be valid for the same maintenance period than your original EVEREST license. It means you can use it with AIDA64 latest version as well.

Nice. You guys could have 'blacklisted' my original Everest key. Most companies would say "get bent, you get what you got", impressive customer support, I will renew when its time. Kudos guys :rolleyes:

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...

×
×
  • Create New...